/*

                GlM[En[xX^

			Copyrights 2010,  Yoshi Hiroshi

*/

#define MAX_SEQ_NUMBER     9999

#define MUM_LOG_BLOCK           (EEPROM_KBYTE_SIZE * 4)
#define NUM_LOG_ELEMENT         ((EEPROM_BLOCK_SIZE - 4) / 6)

struct _logEle {
    int x;
    int y;
    int z;
};
struct _logBlock {
    int blockSeq;
    unsigned char blockSkip;
    unsigned char dataSeq;
    struct _logEle ele[NUM_LOG_ELEMENT];
};

void initLogger();
void initGatherData();
char getPrintGatherFlag();
void setPrintGatherFlag(char f);
void gatherAdxlData(char remFlag, char gaFlag);
void writeData(struct _logBlock* buff, char gaFlag);
void searchLastBlockSeq();
int getDataSeq();
int getBlockSeq();
int getBlock();
int getBlockLost();
int getNextSeq(int seq);
int getNextBlock(int block);
struct _logBlock* getBlockPtr();

void eraceBlock(int block, char flag, char force);
void writeTestData(int block, int seq);

